<?php


return  
    [
        'model' => [
            'model' => \Litecms\Location\Models\Location::class,
            'table' => 'litecms_location_locations',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['parent_id',  'name',  'type',  'path',  'latitude',  'longitude',  'other_names'],
            'translatables' => [],
            'upload_folder' => 'location/location',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "parent_id", 
                "type" => "text", 
                "label" => 'location::location.label.parent_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'location::location.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'location::location.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "path", 
                "type" => "text", 
                "label" => 'location::location.label.path', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "latitude", 
                "type" => "text", 
                "label" => 'location::location.label.latitude', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "longitude", 
                "type" => "text", 
                "label" => 'location::location.label.longitude', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "other_names", 
                "type" => "text", 
                "label" => 'location::location.label.other_names', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'parent_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'location::location.label.parent_id',
                "placeholder" => 'location::location.placeholder.parent_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::location.label.name',
                "placeholder" => 'location::location.placeholder.name',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'location::location.label.type',
                "placeholder" => 'location::location.placeholder.type',
                "rules" => '',
                "options" => function(){
                    return trans('location::location.options.type');
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'path',
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::location.label.path',
                "placeholder" => 'location::location.placeholder.path',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'latitude',
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::location.label.latitude',
                "placeholder" => 'location::location.placeholder.latitude',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'longitude',
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::location.label.longitude',
                "placeholder" => 'location::location.placeholder.longitude',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'other_names',
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::location.label.other_names',
                "placeholder" => 'location::location.placeholder.other_names',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'location/location/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'location/location/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'location/location',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'location/location',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'location/location',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'location/location',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'location::location.label.created_at',
            'name' => 'location::location.label.name',
            'status' => 'location::location.label.status',
        ],
        'groups' => [
            'main' => [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "location::location.groups.main",
                'key' => "main",
                'title' => "location::location.groups.main",
            ],
            'details' => [
                'icon' => "fe:home",
                'name' => "location::location.groups.details",
                'key' => "documents",
                'title' => "location::location.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "location::location.groups.images",
                'key' => "documents",
                'title' => "location::location.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "location::location.groups.settings",
                'key' => "documents",
                'title' => "location::location.groups.settings",
            ]
        ],
        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Location',
            'module' => 'Location',
        ],

        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'location::location.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['location.location.copy', 'location.location.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'location::location.label.count',
                        "placeholder" => 'location::location.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'location::location.label.comment',
                        "placeholder" => 'location::location.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'location::location.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
        ]
        
    ];
